List available stock for a store
Lists warehouses with available stock that the specified store has access to.
The list will only contain warehouses that the store has "VIEW" access to.
get/tenants/{tenantUid}/stores/{storeUid}/stock/{productUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+productUidstringRequiredPattern:
Reference to a Product.
^[A-Za-z0-9-_]+Query parameters
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
sortBystringOptional
Defines which field the resource list is sorted by.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
warehouseUidstringOptional
Filter by warehouse uid
Responses
200
Example response
string · binaryOptional
get/tenants/{tenantUid}/stores/{storeUid}/stock/{productUid}
GET /v2/tenants/{tenantUid}/stores/{storeUid}/stock/{productUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
binaryLast updated
Was this helpful?

